<div class="add-modal-wrapper">
    <form class="form" [formGroup]="form" (ngSubmit)="onSubmit()" >
        <mat-form-field class="example-full-width" appearance="fill">
            <mat-label>Product name</mat-label>
            <input  formControlName="name" matInput placeholder="Ex. Iphone">
        </mat-form-field>
        <mat-form-field class="example-full-width" appearance="fill">
            <mat-label>Product description</mat-label>
            <textarea formControlName="description" matInput placeholder="Ex. Some decription..."></textarea>
        </mat-form-field>
            <mat-form-field class="select-wrapper">
                <mat-label>Product type</mat-label>
                <mat-select formControlName="type" >
                    <mat-option *ngFor="let productType of productTypes" [value]="productType.value">
                        {{productType.label}}
                    </mat-option>
                </mat-select>
            </mat-form-field>
        <mat-form-field class="example-form-field" appearance="fill">
            <mat-label>Image URL</mat-label>
            <input formControlName="imageURL" matInput type="text">
        </mat-form-field>
        <button [disabled]="!form.valid || !form.dirty" type="submit" color="primary" mat-raised-button>
            <span *ngIf="!editMode">Add product</span>
            <span *ngIf="editMode">Confirm edit</span>
        </button>
    </form>
</div>